Kreslení Pole

From FreeCAD Documentation
Revision as of 13:59, 10 February 2019 by FuzzyBot (talk | contribs) (Updating to match new version of source page)

Kreslení Pole

Umístění Menu
Draft → Array
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
Nikdo
Představen ve verzi
-
Viz také
PathArray

Popis

Nástroj Pole vytváří ortogonální (3-osy) nebo polární pole z vybraných objektů. Není-li vybrán žádný objekt, budete vyzváni k jeho výběru.

This tool can be used on 2D shapes created with the Draft Workbench but can also be used on many types of 3D objects such as those created with the Part Workbench or PartDesign Workbench.

To position copies along a path use Draft PathArray; to position copies at specified points use Draft PointArray; to create copies or clones, and manually place them use Draft Move, Draft Rotate, and Draft Clone.

Použití

  1. Vyberte objekt, ze kterého chcete udělat pole
  2. Stiskněte tlačítko Pole.

(pozn.překl.: Pro začátečníky jako jsem já - defaultně jsou intervaly X,Y a Z nastaveny na 1. Když pracujete v mm, tak to vypadá jakoby se pole nevytvořilo, protože se elementy překrývají. Je potřeba alespoň jeden index zvýšit minimálně na rozměr základního prvku.)

Each element in the array is an exact clone of the original object, but the entire array is considered a single unit in terms of properties and appearance.

Options

There are no options for this tool. Either it works with the selected object or not.

Properties

  • ÚdajeBase: specifies the object to duplicate in the array.
  • ÚdajeArray Type: specifies the type of array to create, either "ortho" or "polar".
  • ÚdajeFuse: if it is true, and the copies intersect with each other, they will be fused together into a single shape.

For orthogonal arrays:

  • ÚdajeInterval X: specifies the interval between each copy on the X axis.
  • ÚdajeInterval Y: specifies the interval between each copy on the Y axis.
  • ÚdajeInterval Z: specifies the interval between each copy on the Z axis.
  • ÚdajeNumber X: specifies the number of copies on the X axis.
  • ÚdajeNumber Y: specifies the number of copies on the Y axis.
  • ÚdajeNumber Z: specifies the number of copies on the Z axis.

For polar arrays:

  • ÚdajeAxis: specifies the normal direction of the array circle.
  • ÚdajeCenter: specifies the center point of the array circle.
  • ÚdajeAngle: specifies the aperture of the circular arc to cover with copies; use 360 to cover an entire circle.
  • ÚdajeNumber Polar: specifies the number of copies to place in the circular arrangement.
  • ÚdajeInterval Axis: specifies the interval between each copy on the ÚdajeAxis direction.

The number property, either X, Y, Z, or Polar, also includes the original object, so this number will be at least one.

An interval is not a simple distance, but a vector (x, y, z). If more than one value is non-zero, the copy will be created in the main direction, but will also be displaced in the other non-zero directions.

For example, if ÚdajeInterval X is (2 m, 1 m, 1 m), and ÚdajeNumber X is 3, it will create 3 copies in the X direction; the first copy will be at the original position, the second will be displaced 2 m on X, 1 m on Y, and 1 m on Z; the third copy will be displaced 4 m on X, 2 m on Y, and 2 m on Z. Each array element will be moved slightly to one side (Y direction) and up (Z direction) beside the main X direction.

The ÚdajeInterval Axis property works in the same way. If the original shape lies on the XY plane, creating a polar array with ÚdajeInterval Axis (0, 0, z) allows you to make spiral arrangements.

Scripting

See also: Draft API and FreeCAD Scripting Basics.

The Array tool can be used in macros and from the Python console by using two different functions, depending on if you wish to obtain standalone copies of your base object, or a parametric array object that stays linked to the original object.

Volby

  • Pole začíná defaultně jako ortogonální, ve vlastnostech můžete změnit mód na polární.
array_list = array(objectslist, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None)

To create a rectangular array, use it like this:

array_list = array(objectslist, xvector, yvector, xnum, ynum)
array_list = array(objectslist, xvector, yvector, zvector, xnum, ynum, znum)

Vlastnosti

  • ÚdajeTyp pole: Specifikuje typ pole ortogonální nebo polární
array_list = array(objectslist, center, totalangle, totalnum)

Příklad:

This function internally uses Draft.move() and Draft.rotate() with copy=True.

Example:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)

array_list = Draft.array(Rect, FreeCAD.Vector(1600, 0, 0), FreeCAD.Vector(0, 600, 0), 3, 4)

Pro polární pole:

  • ÚdajeOsy: Kolmý směr kruhového pole
  • ÚdajeStřed: Středový bod pole
  • ÚdajeÚhel: Úhel, který má být kopiemi pokryt
  • ÚdajePočet kopií: Počet kopií

The basic signature is as follows:

Array = makeArray(baseobject, arg1, arg2, arg3, arg4=None, arg5=None, arg6=None, name="Array")

Pro obdélníkové pole:

Array = makeArray(baseobject, xvector, yvector, xnum, ynum, name="Array")
Array = makeArray(baseobject, xvector, yvector, zvector, xnum, ynum, znum, name="Array")

Skriptování

Nástroj Pole může být využit v makrech a z konzoly Pythonu použitím následujících funkcí, v závislosti na tom jestli chcete získat jednoduché, samostatné kopie základního objektu nebo parametrický objekt pole, který zůstává napojen na původní objekt.

Array = makeArray(baseobject, center, totalangle, totalnum, name="Array")

Jednoduché pole

Pro obdélníkové pole:

Pro kruhové pole:

import FreeCAD, Draft

Rect = Draft.makeRectangle(1500, 500)
xvector = FreeCAD.Vector(1600, 0, 0)
yvector = FreeCAD.Vector(0, 600, 0)
Array = Draft.makeArray(Rect, xvector, yvector, 3, 4)

Tri = Draft.makePolygon(3, 600)
center = FreeCAD.Vector(-1600, 0, 0)
Array2 = Draft.makeArray(Tri, center, 360, 6)